# H245_QOSDescriptor Class Reference

`#include <h245.h>`

Inheritance diagram for H245_QOSDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData }

## Public Member Functions

| H245_QOSDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NonStandardParameter | m_nonStandardData
H245_QOSType | m_qosType
H245_QOSClass | m_qosClass

## Member Enumeration Documentation

enum H245_QOSDescriptor::OptionalFields

Enumerator:

  e_nonStandardData |

## Constructor & Destructor Documentation

H245_QOSDescriptor::H245_QOSDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_QOSDescriptor::GetDataLength | ( |  | ) | const

PBoolean H245_QOSDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H245_QOSDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H245_QOSDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_QOSDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H245_QOSDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H245_NonStandardParameter H245_QOSDescriptor::m_nonStandardData

H245_QOSType H245_QOSDescriptor::m_qosType

H245_QOSClass H245_QOSDescriptor::m_qosClass

The documentation for this class was generated from the following file:

- h245.h